%define lib_major 2

%define lib_name %mklibname art_lgpl %{lib_major}
%define develname %mklibname -d art_lgpl

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}


Summary:	Library for high-performance 2D graphics
Name:		libart_lgpl
Version:	2.3.21
Release:	%mkrel 13
Source0:	https://download.gnome.org/sources/libart_lgpl/%{url_ver}/%{name}-%{version}.tar.bz2
License:	LGPL
URL:		https://www.levien.com/libart/
Group:		System/Libraries

%description
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %develname
Summary:	%{summary}
Group:		Development/GNOME and GTK+
Provides:	art_lgpl-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d art_lgpl 2
Requires:	pkgconfig >= 0.8
Requires:	%{lib_name} = %{version}-%{release}


%description -n %develname
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.


%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/libart_lgpl_2.so.%{lib_major}{,.*}

%files -n %develname
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*






%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.3.21-13.mga9
+ Revision: 1791985
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.3.21-12.mga8
+ Revision: 1513894
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.3.21-11.mga7
+ Revision: 1298757
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.3.21-10.mga7
+ Revision: 1233936
- disable static build and drop .la
- drop multiarch support
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 2.3.21-9.mga6
+ Revision: 930019
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.21-8.mga5
+ Revision: 741219
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.21-7.mga5
+ Revision: 681333
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.3.21-6.mga4
+ Revision: 506846
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.3.21-5.mga3
+ Revision: 356823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 ovitters <ovitters> 2.3.21-4.mga2
+ Revision: 208770
- clean spec

* Thu Jan 13 2011 blino <blino> 2.3.21-3.mga1
+ Revision: 8904
- remove old ldconfig scriptlets
- imported package libart_lgpl


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.21-2mdv2011.0
+ Revision: 602520
- rebuild

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 2.3.21-1mdv2010.1
+ Revision: 530672
- update to new version 2.3.21

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.20-5mdv2010.1
+ Revision: 520750
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.3.20-4mdv2010.0
+ Revision: 425515
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.3.20-3mdv2009.0
+ Revision: 222501
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.3.20-2mdv2008.1
+ Revision: 170944
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.3.20-1mdv2008.1
+ Revision: 160181
- new version
- drop patch
- new devel name
- spec file cleanup

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.3.19-3mdv2008.1
+ Revision: 150451
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.3.19-2mdv2007.0
+ Revision: 130304
- fix header for C++

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2.3.19-1mdv2007.1
+ Revision: 127077
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.3.18-1mdv2007.1
+ Revision: 125968
- new version

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 2.3.17-5mdv2007.1
+ Revision: 122418
- rebuild

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.3.17-4mdv2007.1
+ Revision: 108674
- Import libart_lgpl

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.3.17-4mdv2007.1
- rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.3.17-4mdk
- Rebuild

* Sat Jul 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.17-3mdk
- fix provides on x86_64

* Mon Jan 31 2005 Götz Waschk <waschk@linux-mandrake.com> 2.3.17-2mdk
- multiarch support

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.3.17-1mdk
- New release 2.3.17

* Sat Jul 17 2004 Götz Waschk <waschk@linux-mandrake.com> 2.3.16-2mdk
- spec fixes

